import { Component, OnInit, ViewChild, ElementRef } from '@angular/core';
import { User } from '../models/user.model';
import { UserComponent } from '../user/user.component';
import { UserFormComponent } from '../user-form/user-form.component';

@Component({
  selector: 'app-users',
  templateUrl: './users.component.html',
  styleUrls: ['./users.component.sass'],
})
export class UsersComponent implements OnInit {

  title: string = "Список пользователей";
  user: User;

  users: User[] = [
    new User('Ben',20),
    new User('Pit',30),
    new User('John',40),
  ];

  name: string = "Ben";

  numbers: number[] = [1,2,3,4,5,6,7,8,9,10];

  visible: boolean = true;

  @ViewChild(UserFormComponent,{static: false})
  userFormComp: UserFormComponent;

  @ViewChild('userLogin')
  pUserLogin: ElementRef;

  numberUsers: number = 2;

  constructor() { 
    this.user =  new User('Ben',25);
  }

  ngOnInit(): void {

  }


  onUserChanged($user: User) {
    this.user = $user;

    this.users.push($user);
  }

  saveButton($event) {
      this.userFormComp.save($event);
      this.pUserLogin.nativeElement.textContent = "Hello World";
  }



}
